Groovy Documentation

## org.codehaus.groovy.grails.plugins
[Java] Class PluginFilterRetriever

    java.lang.Object
      org.codehaus.groovy.grails.plugins.PluginFilterRetriever

    public class PluginFilterRetriever

Implements mechanism for figuring out what `PluginFilter` implementation to use based on a set of provided configuration properties.

Authors:
  Phil Zoio
  Graeme Rocher

Method Summary
`PluginFilter` | `getPluginFilter(java.util.Map properties)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getPluginFilter

    @SuppressWarnings("rawtypes")
    public PluginFilter getPluginFilter(java.util.Map properties)

Groovy Documentation